Thank you for creating a pull request to contribute to Seithan's GitHub code!
Before you open the request please review the following guidelines and tips to help it be more easily integrated:

- **The intention is to be as simple as possible, at both the programming and functionality**. When I was building this library, I tried hard to put as less functions as possible, without restricting the capabilities of the library and I would like to keep it that way. So please report only bugs that might exist. And of course, if you believe something needs to be added, do not hesitate to make a request!. 
  
   **This library is written according to the Arduino APIStyleGuide**
   [## Arduino style guide](https://www.arduino.cc/en/Reference/StyleGuide)
   Efficiency is not paramount; readability is.
   The most important users of Arduino are beginners and people who don't care about code, but about getting projects done.
Think generously about people who know less than you about code. Don't think they  _should_  understand some technical concept. They don't, and they're not stupid for not understanding. Your code should explain itself, or use comments to do the same. If it needs a complex concept like registers or interrupts or pointers, either explain it or skip it.
    1. **Be kind to the end user**
    1. **Match your API to the underlying capabilities**
    1. **Organize your public functions around the data and functionality that the user wants**
    1. **Use full, everyday words**
    1. **Avoid words that have different meanings to the general public**
      1. **When you have to use a domain-specific term, write a sentence or two describing it to the general public FIRST.**
     1. **Document and comment as you go**
 
- **Describe the scope of your change--i.e. what the change does and what parts
  of the code were modified.**  This will help us understand any risks of integrating
  the code.

- **Describe any known limitations with your change.**  For example if the change
  doesn't apply to a supported platform of the library please mention it.

- **Please run any tests or examples that can exercise your modified code.**  We
  strive to not break users of the code and running tests/examples helps with this
  process.

Thank you again for contributing!  I will try to test and integrate the change as soon as I can.  There is no need to bump or check in on a pull request (it will clutter the discussion of the request).

After reviewing the guidelines above you can delete this text from the pull request.
